.top-right-div-box
{
    grid-column: 5/9;
    grid-row: 1/1;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-end;
    /*height: 100%;*/
    /*text-wrap: nowrap;*/
}

.top-right-button {
    position: relative;
    font-family: Latinka_bold;
    border-color: #00f09a;
    border-radius: 1em;
    font-size: 1vw;
    padding: 8px;
    z-index: 1;
    margin: 3px;
    /*min-width: 160px;*/
    /*width:100%;*/
    flex:1;
    background: var(--containerColor) padding-box;
    color: var(--fontColor)
}

.top-right-button:hover {
    background: var(--accentColor);
    cursor: pointer;
}

.dropdown-item-language
{
    width:100%;
    margin: 0 3px 3px 0;
}

.CTA-div {
    color: #091478;
    grid-column: 4;
    grid-row: 1/1;
    /*height: 100%;*/
    justify-content: center;
    align-content: center;
    position: relative;
    display: flex;
    flex-direction: column;
    text-wrap: nowrap;
    flex-shrink: 1;

}


.CTA-timer {
    font-size: 3vh;
    font-family: Latinka_bold;
    margin-top: 2px;
    text-align: left;
    text-wrap: pretty;
    color: var(--fontColor);
    user-select:none
}
.normalTimer
{
    grid-column: 6/8;
}

.timerWithArrows
{
    grid-column: 7;
}


.hamburger {
    display: none;
}



/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  min-width: 160px;
  z-index: 100;
    width: 100%;
    padding: 0px 2px;
    --angle1: 200000deg;
    border: 4px solid transparent;
    cursor: pointer;
    transform: scale(110%);
    box-shadow: var(--buttonInnerBoxShadow) 0px 3px 6px,  var(--accentColor) 0px 8px 20px -12px inset, rgba(255, 255, 255, 0.3) 0px 18px 36px -18px inset;
    --borderActive: 4px;
     background: var(--containerColor) padding-box,
    linear-gradient(var(--angle1), var(--fontColor) 0%, var(--accentColor) 100%) border-box;
}

/* Links inside the dropdown */
.dropdown-content a {
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background: var(--accentColor2) padding-box;}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.showDropdown {display:block;}

.top-right-button-wrapper {
        flex: 1;
        display:flex;
    }

/*@media(max-width: 1400px)*/
/*{*/

    /*.top-right-div-box*/
    /*{*/
    /*    grid-column: 5/9;*/
    /*    grid-row: 1/1;*/
    /*    display: flex;*/
    /*    flex-direction: row;*/
    /*    align-items: stretch;*/
    /*    justify-content: flex-end;*/
    /*}*/

    /*.dropdown-content {*/
    /*    padding-right:10px;*/
    /*}*/

    /*.top-right-button {*/
    /*    position: relative;*/
    /*    font-family: Latinka_bold;*/
    /*    border-color: #00f09a;*/
    /*    border-radius: 1em;*/
    /*    font-size: 20px;*/
    /*    padding: 10px;*/
    /*    z-index: 9;*/
    /*    margin: 5px;*/
    /*    background-color: var(--backgroundColor);*/
    /*    color: var(--fontColor)*/
    /*}*/

    /*.top-right-button:hover .top-right-button:focus  {*/
    /*    background-color: var(--accentColor);*/
    /*    cursor: pointer;*/
    /*}*/

    /*.CTA-div {*/
    /*    color: #091478;*/
    /*    grid-column: 4;*/
    /*    grid-row: 1/1;*/
    /*    !*height: 100%;*!*/
    /*    justify-content: center;*/
    /*    align-content: center;*/
    /*    position: relative;*/
    /*    display: flex;*/
    /*    flex-direction: column;*/
    /*    text-wrap: nowrap;*/
    /*    flex-shrink: 1;*/

    /*}*/


    /*.CTA-timer {*/
    /*    font-size: 18px;*/
    /*    font-family: Latinka_bold;*/
    /*    margin-top: 2px;*/
    /*    text-align: right;*/

    /*}*/
/*}*/


/*@media (max-aspect-ratio: 1/1) or  (max-width: 1000px){*/
.hamburger {
    display: block;
    position: relative;
    grid-column: 2;
    margin-right: 5vw;
width: 100%;
}

.top-right-div-box {
    display: none;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-evenly;
    flex: none;
    transition: all 0.4s ease-in-out;
    opacity: 0;
    position: absolute;
    top: 16vh;
    right: 1vw;
    z-index: 25;
    background: var(--backgroundColor) padding-box;
    padding: 20px;
    border-color: #00f09a;
    border-radius: 1em;
    box-shadow: var(--buttonBorderColor) 0px 3px 6px, var(--buttonBorderColor) 0px 3px 6px;
}

.show-menu {
    display: flex;
    opacity: 100;
}

.top-right-button {
    position: relative;
    font-family: Latinka_bold;
    border-color: #00f09a;
    border-radius: 1em;
    font-size: 3vh;
    padding: 10px;
    z-index: 25;
    margin: 5px 0;
    background: var(--containerColor) padding-box;
    color: var(--fontColor);
    /*width: 100%;*/
    flex:1;
}

.top-right-button .option {
    position: relative;
    font-family: Latinka_bold;
    border-color: #00f09a;
    border-radius: 1em;
    font-size: 3vh;
    padding: 10px;
    z-index: 25;
    margin: 5px;
    background: var(--backgroundColor) padding-box;
    color: var(--fontColor);
    /*width: 100%;*/
    flex:1;
    border-style: solid;
}

.top-right-button .option:hover {
      background: var(--accentColor);
    cursor: pointer;
}

.top-right-button-wrapper {
    flex: 1;
    display:flex;
}

.top-right-button:hover {
    background: var(--accentColor);
    cursor: pointer;
}

.CTA-div {
    color: #091478;
    grid-column: 4;
    grid-row: 1/1;
    height: 100%;
    justify-content: center;
    align-content: center;
    position: relative;
    display: flex;
    flex-direction: column;
    text-wrap: nowrap;
    flex-shrink: 1;
    z-index: 25;
}

.hamburger-button
{
    border-style: solid;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    margin: 1vw;
    align-content: center;
    height: 70%;
    padding: 0;
}

.hamburger-CTA-timer{
    display:none
}


@media (max-aspect-ratio: 1/1) or  (max-width: 1000px) {

    .top-right-button {
        font-size: 2vh;

    }



    .CTA-timer {
        display:none;
        font-size: 2vh;
    }

      .hamburger-CTA-timer{
        display:flex
    }
}

.clicked-top-right-button {
    background: var(--clickConfirmationColor);
}
/*}*/